Prepare and check storage layer for shnwiki
Closed, ResolvedPublic

Description

The new wiki is going to be public.

Urbanecm created this task.Oct 13 2018, 4:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2018, 4:48 PM
Banyek triaged this task as Normal priority.Oct 15 2018, 6:00 PM
Banyek added a subscriber: Banyek.

Please ping me (or anybody in the persistance team) when the wiki is created, and I can do the sanitzation

Banyek moved this task from Triage to Blocked external/Not db team on the DBA board.
Banyek moved this task from Backlog to Wait on external on the User-Banyek board.
Banyek claimed this task.Thu, Nov 15, 9:17 AM

doing sanitization

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:07:42Z] <banyek> sanitizing db2094 ( T205714 T207584 T205713 T206916 )

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:15:31Z] <banyek> sanitizing db1124 ( T205714 T207584 T205713 T206916 )

Banyek moved this task from In progress to Done on the DBA board.Thu, Nov 15, 10:48 AM
Banyek removed Banyek as the assignee of this task.Thu, Nov 15, 11:02 AM
Banyek added subscribers: Bstorm, bd808, GTirloni.

ready for the views creation

@Banyek did GRANT this wiki into the labsdb user role grants? If not, the views will fail to be created

Banyek added a comment.EditedMon, Nov 19, 2:51 PM

I did the grant as

 set session sql_log_bin=0; create database shnwiki_p;
Query OK, 0 rows affected (0.00 sec)

Query OK, 1 row affected (0.00 sec)

MariaDB [(none)]> set session sql_log_bin=0; GRANT SELECT, SHOW VIEW ON `shnwiki\_p`.* TO 'labsdbuser';
Query OK, 0 rows affected (0.00 sec)

Query OK, 0 rows affected (0.01 sec)

MariaDB [(none)]>
MariaDB [(none)]>

@Bstorm you can work with this

Ping? Other similar tasks (T205713) are closed, is this one waiting on anything?

Mentioned in SAL (#wikimedia-operations) [2018-11-28T16:50:24Z] <gtirloni> T206916 created shnwiki views/index in labsdb replicas

On my side, sql shnwiki on labs runs okay. Running @Pathoschild's command linked above does fail though.

@MarcoAurelio most likely the wikis is available but not on the meta_p- I am unsure if adding it to meta_p is a process that runs regularly from time to time (so it is only a question of waiting) or it is done automatically by a script, or handled manually. Ping @GTirloni in case he can research it as that seems missing according to user reports.

bd808 added a comment.Thu, Nov 29, 4:45 PM

On my side, sql shnwiki on labs runs okay. Running @Pathoschild's command linked above does fail though.

The step of running our maintain-meta_p script had not been done yet apparently. After running sudo /usr/local/sbin/maintain-meta_p --databases shnwiki --debug on each of the Wiki Replica backend servers:

$ sql meta
(u3518@s7.analytics.db.svc.eqiad.wmflabs) [meta_p]> SELECT * FROM meta_p.wiki WHERE dbname = 'shnwiki' OR url = 'https://shn.wikipedia.org'\G
*************************** 1. row ***************************
          dbname: shnwiki
            lang: shn
            name: Wikipedia
          family: wikipedia
             url: https://shn.wikipedia.org
            size: 1
           slice: s3.labsdb
       is_closed: 0
        has_echo: 1
 has_flaggedrevs: 0
has_visualeditor: 1
    has_wikidata: 1
    is_sensitive: 0
1 row in set (0.01 sec)
GTirloni added a comment.EditedThu, Nov 29, 4:48 PM

I only ran that command on the first replica server (labsdb1009), that must be it. Did it work without errors on all 3 servers?

Note: we should maybe take a look at recently created wikis at Wiki-Setup (Create) and check if they're also added to the meta_p.wiki table. Or compare its contents with public.dblist @ operations/mediawiki-config and find if any public wiki which is at public.dblist is missing on the meta_p.wiki table. I'm sure you'll find a better way to do it :) Thanks.

GTirloni closed this task as Resolved.Fri, Nov 30, 11:25 AM